---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly, check cmd/gen-docs/docs.go.
-->

# `glab snippet create`

Create new snippet

```plaintext
glab snippet create [path] [flags]
```

## Examples

```plaintext
glab snippet create script.py --title "Title of the snippet" 
echo "package main" | glab snippet new --title "Title of the snippet" --filename "main.go"
glab snippet create main.go -t Title -f "different.go" -d Description

```

## Options

```plaintext
  -d, --description string   Description of the snippet
  -f, --filename string      Filename of the snippet in GitLab
  -t, --title string         Title of the snippet
  -v, --visibility string    Limit by visibility {public, internal, or private} (default "private")
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
